# std::stack<T,Container>::swap

From cppreference.com
< cpp‎ | container‎ | stack

void swap( stack& other ) noexcept(/* see below */); |  | (since C++11)

Exchanges the contents of the container adaptor with those of `other`. Effectively calls using std::swap ; swap(c, other.c);

### Parameters

other | - | container adaptor to exchange the contents with

### Return value

(none)

### Exceptions

`noexcept` specification: noexcept(noexcept(swap(c, other.c))) In the expression above, the identifier `swap` is looked up in the same manner as the one used by the C++17 std::is_nothrow_swappable trait. | (until C++17)
`noexcept` specification: noexcept( std::is_nothrow_swappable <Container>::value) | (since C++17)

### Complexity

Same as underlying container (typically constant)

### Defect reports

The following behavior-changing defect reports were applied retroactively to previously published C++ standards.

DR | Applied to | Behavior as published | Correct behavior
--- | --- | --- | ---
LWG 2456 | C++11 | the `noexcept` specification is ill-formed | made to work

### See also

std::swap(std::stack) | specializes the std::swap algorithm (function template)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/container/stack/swap&oldid=50675"